Scala Standard Library2.13.5 < Back


# Packages

-  package root

  This is the documentation for the Scala standard library.

  This is the documentation for the Scala standard library.

  #### Package structure

  The scala package contains core types like `Int`, `Float`, `Array` or `Option` which are accessible in all Scala compilation units without explicit qualification or imports.

  Notable packages include:

  - `scala.collection` and its sub-packages contain Scala's collections framework
    - `scala.collection.immutable` - Immutable, sequential data-structures such as `Vector`, `List`, `Range`, `HashMap` or `HashSet`
    - `scala.collection.mutable` - Mutable, sequential data-structures such as `ArrayBuffer`, `StringBuilder`, `HashMap` or `HashSet`
    - `scala.collection.concurrent` - Mutable, concurrent data-structures such as `TrieMap`
  - `scala.concurrent` - Primitives for concurrent programming such as `Futures` and `Promises`
  - `scala.io` - Input and output operations
  - `scala.math` - Basic math functions and additional numeric types like `BigInt` and `BigDecimal`
  - `scala.sys` - Interaction with other processes and the operating system
  - `scala.util.matching` - Regular expressions

  Other packages exist. See the complete list on the right.

  Additional parts of the standard library are shipped as separate libraries. These include:

  - `scala.reflect` - Scala's reflection API (scala-reflect.jar)
  - `scala.xml` - XML parsing, manipulation, and serialization (scala-xml.jar)
  - `scala.collection.parallel` - Parallel collections (scala-parallel-collections.jar)
  - `scala.util.parsing` - Parser combinators (scala-parser-combinators.jar)
  - `scala.swing` - A convenient wrapper around Java's GUI framework called Swing (scala-swing.jar)

  #### Automatic imports

  Identifiers in the scala package and the `scala.Predef` object are always in scope by default.

  Some of these identifiers are type aliases provided as shortcuts to commonly used classes. For example, `List` is an alias for `scala.collection.immutable.List`.

  Other aliases refer to classes provided by the underlying platform. For example, on the JVM, `String` is an alias for `java.lang.String`.

  Definition Classes
    root
-  package scala

  Core Scala types.

  Core Scala types. They are always available without an explicit import.

  Definition Classes
    root
-  package collection
  Definition Classes
    scala
-  package mutable
  Definition Classes
    collection
-  object ArrayBuilder extends java.io.Serializable

  A companion object for array builders.

  A companion object for array builders.

  Definition Classes
    mutable
- ofBoolean
- ofByte
- ofChar
- ofDouble
- ofFloat
- ofInt
- ofLong
- ofRef
- ofShort
- ofUnit

c

scala.collection.mutable.ArrayBuilder

# ofShort

###

#### final class ofShort extends ArrayBuilder[Short]

A class for array builders for arrays of `short`s. It can be reused.

Annotations
  @SerialVersionUID()
Source
  ArrayBuilder.scala

Linear Supertypes
ArrayBuilder[Short], java.io.Serializable, ReusableBuilder[Short, Array[Short]], Builder[Short, Array[Short]], Growable[Short], Clearable, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ofShort
2. ArrayBuilder
3. Serializable
4. ReusableBuilder
5. Builder
6. Growable
7. Clearable
8. AnyRef
9. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new ofShort()

### Value Members

1.  final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any
2.  final def ##: Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from ofShort toany2stringadd[ofShort] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  final def ++=(xs: IterableOnce[Short]): ofShort.this.type

   Alias for `addAll`

   Alias for `addAll`

   Definition Classes
     Growable
   Annotations
     @inline()
5.  final def +=(elem: Short): ofShort.this.type

   Alias for `addOne`

   Alias for `addOne`

   Definition Classes
     Growable
   Annotations
     @inline()
6.  def ->[B](y: B): (ofShort, B)
   Implicit
     This member is added by an implicit conversion from ofShort toArrowAssoc[ofShort] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
7.  final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any
8.  def addAll(xs: IterableOnce[Short]): ofShort.this.type

   Adds all elements produced by an IterableOnce to this growable collection.

   Adds all elements produced by an IterableOnce to this growable collection.

   xs

     the IterableOnce producing the elements to add.

   returns

     the growable collection itself.

   Definition Classes
     ArrayBuilder → Growable
9.  def addAll(xs: Array[_ <: Short], offset: Int, length: Int): ofShort.this.type

   Add a slice of an array

   Add a slice of an array

   Definition Classes
     ArrayBuilder
10.  def addAll(xs: Array[_ <: Short]): ofShort.this.type

    Add all elements of an array

    Add all elements of an array

    Definition Classes
      ArrayBuilder
11.  def addOne(elem: Short): ofShort.this.type

    Adds a single element to this growable collection.

    Adds a single element to this growable collection.

    elem

      the element to add.

    returns

      the growable collection itself

    Definition Classes
      ofShort → Growable
12.  final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown

      `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

13.  var capacity: Int
    Attributes
      protected[this]
    Definition Classes
      ArrayBuilder
14.  def clear(): Unit

    Clears the contents of this builder.

    Clears the contents of this builder. After execution of this method, the builder will contain no elements.

    If executed immediately after a call to `result()`, this allows a new instance of the same type of collection to be built.

    Definition Classes
      ArrayBuilder → ReusableBuilder → Builder → Clearable
15.  def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
    Note

      not specified by SLS as a member of AnyRef

16.  var elems: Array[Short]
    Attributes
      protected
    Definition Classes
      ofShort → ArrayBuilder
17.  final def ensureSize(size: Int): Unit
    Attributes
      protected[this]
    Definition Classes
      ArrayBuilder
18.  def ensuring(cond: (ofShort) => Boolean, msg: => Any): ofShort
    Implicit
      This member is added by an implicit conversion from ofShort toEnsuring[ofShort] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
19.  def ensuring(cond: (ofShort) => Boolean): ofShort
    Implicit
      This member is added by an implicit conversion from ofShort toEnsuring[ofShort] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
20.  def ensuring(cond: Boolean, msg: => Any): ofShort
    Implicit
      This member is added by an implicit conversion from ofShort toEnsuring[ofShort] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
21.  def ensuring(cond: Boolean): ofShort
    Implicit
      This member is added by an implicit conversion from ofShort toEnsuring[ofShort] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
22.  final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`that`) is a reference to the receiver object (`this`).

    Tests whether the argument (`that`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef
23.  def equals(other: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      ofShort → AnyRef → Any
24.  def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
    Note

      not specified by SLS as a member of AnyRef

25.  def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit
      This member is added by an implicit conversion from ofShort toStringFormat[ofShort] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
26.  final def getClass(): Class[_ <: AnyRef]

    Returns the runtime class representation of the object.

    Returns the runtime class representation of the object.

    returns

      a class object corresponding to the runtime type of the receiver.

    Definition Classes
      AnyRef → Any
    Annotations
      @native()
27.  def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any
    Annotations
      @native()
28.  final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any
29.  def knownSize: Int

    returns

      The number of elements in the collection under construction, if it can be cheaply computed, -1 otherwise. The default implementation always returns -1.

    Definition Classes
      ArrayBuilder → Growable
30.  def length: Int
    Definition Classes
      ArrayBuilder
31.  def mapResult[NewTo](f: (Array[Short]) => NewTo): Builder[Short, NewTo]

    A builder resulting from this builder my mapping the result using `f`.

    A builder resulting from this builder my mapping the result using `f`.

    Definition Classes
      Builder
32.  final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef
33.  final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Annotations
      @native()
    Note

      not specified by SLS as a member of AnyRef

34.  final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Annotations
      @native()
    Note

      not specified by SLS as a member of AnyRef

35.  def resize(size: Int): Unit
    Attributes
      protected[this]
    Definition Classes
      ofShort → ArrayBuilder
36.  def result(): Array[Short]

    Produces a collection from the added elements.

    Produces a collection from the added elements.

    After a call to `result`, the behavior of all other methods is undefined save for `clear()`. If `clear()` is called, then the builder is reset and may be used to build another instance.

    returns

      a collection containing the elements added to this builder.

    Definition Classes
      ofShort → ReusableBuilder → Builder
37.  var size: Int
    Attributes
      protected
    Definition Classes
      ArrayBuilder
38.  final def sizeHint(size: Int): Unit

    Gives a hint how many elements are expected to be added when the next `result` is called.

    Gives a hint how many elements are expected to be added when the next `result` is called. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

    size

      the hint how many elements will be added.

    Definition Classes
      ArrayBuilder → Builder
39.  final def sizeHint(coll: IterableOnce[_], delta: Int = 0): Unit

    Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta.

    Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta. This will provide a hint only if the collection has a known size Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

    coll

      the collection which serves as a hint for the result's size.

    delta

      a correction to add to the `coll.size` to produce the size hint.

    Definition Classes
      Builder
40.  final def sizeHintBounded(size: Int, boundingColl: collection.Iterable[_]): Unit

    Gives a hint how many elements are expected to be added when the next `result` is called, together with an upper bound given by the size of some other collection.

    Gives a hint how many elements are expected to be added when the next `result` is called, together with an upper bound given by the size of some other collection. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

    size

      the hint how many elements will be added.

    boundingColl

      the bounding collection. If it is an IndexedSeqLike, then sizes larger than collection's size are reduced.

    Definition Classes
      Builder
41.  final def synchronized[T0](arg0: => T0): T0

    Executes the code in `body` with an exclusive lock on `this`.

    Executes the code in `body` with an exclusive lock on `this`.

    returns

      the result of `body`

    Definition Classes
      AnyRef
42.  def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      ofShort → AnyRef → Any
43.  final def wait(): Unit

    See https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#wait--.

    See https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#wait--.

    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
    Note

      not specified by SLS as a member of AnyRef

44.  final def wait(arg0: Long, arg1: Int): Unit

    See https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#wait-long-int-

    See https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#wait-long-int-

    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
    Note

      not specified by SLS as a member of AnyRef

45.  final def wait(arg0: Long): Unit

    See https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#wait-long-.

    See https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#wait-long-.

    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
    Note

      not specified by SLS as a member of AnyRef

### Deprecated Value Members

1.  final def +=(elem1: Short, elem2: Short, elems: Short*): ofShort.this.type

   Adds two or more elements to this growable collection.

   Adds two or more elements to this growable collection.

   elem1

     the first element to add.

   elem2

     the second element to add.

   elems

     the remaining elements to add.

   returns

     the growable collection itself

   Definition Classes
     Growable
   Annotations
     @deprecated @inline()
   Deprecated

     (Since version 2.13.0) Use `++=` aka `addAll` instead of varargs `+=`; infix operations with an operand of multiple args will be deprecated

2.  def →[B](y: B): (ofShort, B)
   Implicit
     This member is added by an implicit conversion from ofShort toArrowAssoc[ofShort] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from ArrayBuilder[Short]

### Inherited from java.io.Serializable

### Inherited from ReusableBuilder[Short, Array[Short]]

### Inherited from Builder[Short, Array[Short]]

### Inherited from Growable[Short]

### Inherited from Clearable

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromofShort to any2stringadd[ofShort]

### Inherited by implicit conversion StringFormat fromofShort to StringFormat[ofShort]

### Inherited by implicit conversion Ensuring fromofShort to Ensuring[ofShort]

### Inherited by implicit conversion ArrowAssoc fromofShort to ArrowAssoc[ofShort]

### Ungrouped